/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.core;

import static org.fest.assertions.Assertions.assertThat;

import java.sql.SQLException;

import javax.persistence.EntityManager;

import net.sf.oqt.core.CoreFactory;
import net.sf.oqt.jpa.testentities.TestInfo;

import org.apache.openjpa.persistence.EntityManagerImpl;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;


public class CoreFactoryTest {

	@Before
	public void setUp() throws Exception {
		CoreFactory.getProperties().setUrl(TestInfo.URL_H2);
		CoreFactory.getProperties().setDriverName(TestInfo.DRIVER_H2);
		CoreFactory.getProperties().getPackageNames().add("net.sf.oqt.jpa.testentities.subpackage");
		// Set<Class<?>> classes =
		// EntityFinder.findAllEntities(EntityFinder.SCAN_PACKAGES);
		// CoreFactory.getProperties().setFqnsFromClassList(classes);
	}

	@Ignore
	@Test
	public void testGetEntityManager() throws ClassNotFoundException, InstantiationException, IllegalAccessException, SQLException {
		final EntityManager em = CoreFactory.getEntityManager();
		assertThat(((EntityManagerImpl) em).getConnectionUserName()).isNotNull().isEmpty();
		assertThat(((EntityManagerImpl) em).getConnectionPassword()).isNotNull().isEmpty();
		assertThat(((EntityManagerImpl) em).getConnection()).isNotNull();

		CoreFactory.shutdown();
		assertThat(CoreFactory.getQueries()).isEmpty();
	}

}
