/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.jpa.testentities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(name = "CROSS_TABLE")
@NamedQueries({ @NamedQuery(name = "CROSS_TABLE_FIND_BY_A", query = "select ent from CrossTable ent where ent.a.id = :id"), @NamedQuery(name = "CROSS_TABLE_FIND_BY_B", query = "select ent from CrossTable ent where ent.b.code = :code"), @NamedQuery(name = "CROSS_TABLE_FIND_BY_A_B", query = "select ent from CrossTable ent where ent.a.id = :id and ent.b.code = :code"), @NamedQuery(name = "DELETE_ALL_BY_A", query = "delete from CrossTable ent where ent.a.id = :id") })
public class CrossTable {

	@Column(name = "ID")
	private Long id;

	@ManyToOne(targetEntity = TableA.class)
	@JoinColumn(name = "TABLE_A", referencedColumnName = "ID")
	private TableA a;

	@ManyToOne(targetEntity = TableB.class)
	@JoinColumn(name = "TABLE_B", referencedColumnName = "CODE")
	private TableB b;

	@Column(name = "CREATION")
	private Date creationDate;

	@Column(name = "MODIFCATION")
	private Date modificationDate;

}
