/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.jpa.testentities;

/**
 * Contains some basic info for the junit tests
 * 
 * @author phillip
 * 
 */
public class TestInfo {

	public static final String ENTITY_PACKAGE = "net.sf.oqt.jpa.testentities";

	public static final short numberOfEntities = 8;
	public static final short numberOfEntitiesInGenericPackage = 3;
	public static final short numberOfEntitiesInSubPackage = 2;
	public static final short numberOfNamedQueries = 6;

	public static final String URL_H2 = "jdbc:h2:db/test/h2/junit_H2";
	public static final String URL_HSQL = "jdbc:hsqldb:file:db/test/hsql/junit_HSQL;shutdown=true";
	public static final String URL_DERBY = "jdbc:derby:db/test/derby;create=true;databaseName=junit_Derby";

	public static final String DRIVER_H2 = "org.h2.Driver";
	public static final String DRIVER_HSQL = "org.hsqldb.jdbcDriver";
	public static final String DRIVER_DERBY = "org.apache.derby.jdbc.EmbeddedDriver";

	public static final String DICTIONARY_H2 = "h2";
	public static final String DICTIONARY_HSQL = "hsql";
	public static final String DICTIONARY_DERBY = "derby";

}
