/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.model;

import static org.fest.assertions.Assertions.assertThat;

import net.sf.oqt.model.EntityVO;

import org.junit.Before;
import org.junit.Test;

public class EntityVOTest {

	EntityVO e1 = null;
	EntityVO e2 = null;

	@Before
	public void setUp() throws Exception {
		e1 = new EntityVO("RefA");
		e2 = new EntityVO("RefB");
	}

	@Test
	public void testCompareTo() {
		assertThat(e1.compareTo(e2)).isEqualTo("RefA".compareToIgnoreCase("RefB"));
		assertThat(e1.compareTo(e1)).isEqualTo(0);
	}

	@Test
	public void testEqualsObject() {
		assertThat(e1.equals(new EntityVO("refa"))).isEqualTo(true);
	}

}
