/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.model;

import static org.fest.assertions.Assertions.assertThat;

import net.sf.oqt.model.PackageVO;

import org.junit.Before;
import org.junit.Test;

public class PackageVOTest {

	private PackageVO p1 = null;
	private PackageVO p2 = null;
	private PackageVO p3 = null;
	private PackageVO p4 = null;

	@Before
	public void setup() {
		p1 = new PackageVO("net.sf.oqt");
		p2 = new PackageVO("net.sf.oqt.sub");
		p3 = new PackageVO("org.apache.maven");
		p4 = new PackageVO("net.sf.oqtandsomemore");
	}

	@Test
	public void testIsSubpackageYes() {
		assertThat(p1.isSubpackage(p2)).isTrue();
	}

	@Test
	public void testIsSubpackageNo() {
		assertThat(p3.isSubpackage(p1)).isFalse();
		assertThat(p2.isSubpackage(p1)).isFalse();
		assertThat(p1.isSubpackage(p4)).isFalse();
	}

	@Test
	public void testEqualsObject() {
		assertThat(p1).isEqualTo(new PackageVO("net.sf.oqt"));
		assertThat(p2).isNotEqualTo(p4);
	}

	@Test
	public void testCompareTo() {
		assertThat(p1.compareTo(p2)).isEqualTo("net.sf.oqt".compareToIgnoreCase("net.sf.oqt.sub"));
	}

}
