/*******************************************************************************
 * Copyright 2012 pw999
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package net.sf.oqt.test;

import net.sf.oqt.core.CoreProperties;
import net.sf.oqt.jpa.testentities.TestInfo;

public class VersionSupport {

	public static boolean isNotSupported(String dialect, String version) {
		if (dialect.equals(TestInfo.DICTIONARY_H2)) {
			if (version.startsWith("1.0") || version.startsWith("1.1") ) {
				System.out.println("H2 is not supported by openJPA < 1.2, H2 related unit tests are skipped");
				return true;
			}
		}
		return false;
	}
	
	public static boolean isNotSupported(String dialect, CoreProperties properties) {
		return isNotSupported(dialect, properties.getJpaVersion());
	}
	
	public static boolean isNotSupported(CoreProperties properties) {
		return isNotSupported(properties.getDictionary(), properties.getJpaVersion());
	}
}
